Subject: Re: [hybi] Intermedaries: coalescing with interleaved control messages

From: "Bob Gezelter" <[email-masked]>
Date: Tue, 16 Aug 2011 08:44:30 -0700

Inaki and John,

With regards to message IDs, I concur with John. The message ID is not
needed, except for a message-by-message acknowledgement, which is an
upper level applications-level protocol issue.

In the case of a multiplexed connection, it does not affect the need for
a sub-channel identification number as part of each frame (as I have
stated frequently, I believe that frame-by-frame multiplexing is the
best of the alternatives).

I also note that I do not see an advantage to using random message
numbers. If forgery on a channel (or sub-channel) is a concern, the
correct solution is the use of digital signatures and appropriate
cryptographic methods.

- Bob Gezelter, http://www.rlgsc.com

> -------- Original Message --------
> Subject: Re: [hybi] Intermedaries: coalescing with interleaved control
> messages
> From: John Tamplin <[email-masked]>
> Date: Tue, August 16, 2011 8:36 am
> To: Iñaki_Baz_Castillo <[email-masked]>
> Cc: Tobias Oberstein <[email-masked]>,       
> "[email-masked]" <[email-masked]>, Bob Gezelter <[email-masked]>
> 
> 
> On Tue, Aug 16, 2011 at 11:33 AM, Iñaki Baz Castillo <[email-masked]> wrote:
> 
> > If WS frames contain an "id" field (a random token value), and each
> > frame belonging to same WS message has the same "id" value, then
> > problem solved.
> >
> 
> No, that solves nothing about the order guarantees between control and data
> frames.  I'm not sure exactly what it does solve, other than being able to
> say a particular frame was too large or providing an acknowledgement to each
> frame (which would be completely undesired in many applications).  It
> doesn't provide any basis for solving MUX, as you still need a channel id.
> 
> -- 
> John A. Tamplin
> Software Engineer (GWT), Google